#
# spec file for package ClusterNFS (3.0rc2)
# 
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# neededforbuild tcpd
# usedforbuild    aaa_base aaa_dir aaa_version autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         clusternfs
Version:      3.0rc2.suse
Release:      0

License:      GPL
Group:        Networking/Daemons
Provides:     nfsserv nkita:/usr/sbin/rpc.nfsd nkita:/usr/sbin/rpc.mountd
Obsoletes:    nfsserv clusterNFS-server
Requires:     portmap
Conflicts:    nfsutils
Summary:      ClusterNFS server
URL:          http://clusternfs.sourceforge.net/
Source:       %{name}-3.0rc2.tar.bz2
BuildRoot:    /var/tmp/%{name}-build

Packager:	Matthias G. Eckermann <mge@suse.de>

%description
ClusterNFS allows diskless clients to share a single root filesystem
by matching "tagged" filenames of the form "filename$$TAG=value$$" 
with fallback to the original filename.

SuSE series: n

%prep
%setup -n ClusterNFS

%build
%{suse_update_config -f}
CFLAGS="$RPM_OPT_FLAGS" ./BUILD --batch \
                                --rquotad=no \
                                --ugidd=no --nis=yes \
                                --hosts-access=yes\
                                --libwrap-directory=/usr/lib \
                                --exports-uid=0 --exports-gid=0\
                                --log-mounts=yes --multi=yes \
                                --devtab=yes --trnames=yes \
                                --path_devtab=/var/lib/nfs/devtab
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/var/lib/nfs
install -d $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 distros/SuSE/rc.config.nfsserv $RPM_BUILD_ROOT/var/adm/fillup-templates/
install -d $RPM_BUILD_ROOT/etc/init.d
install -m 755 distros/SuSE/nfsserver.init $RPM_BUILD_ROOT/etc/init.d/nfsserver
ln -sf ../../etc/init.d/nfsserver $RPM_BUILD_ROOT/usr/sbin/rcnfsserver

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
        bin/fillup -q etc/rc.config var/adm/fillup-templates/rc.config.nfsserv
else
        echo "ERROR: fillup not found. This should not happen. Please compare"
        echo "etc/rc.config and var/adm/fillup-templates/rc.config.nfsserv"
        echo "and update by hand."
fi
sbin/insserv etc/init.d/nfsserver

%postun
sbin/insserv etc/init.d/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc BUGS COPYING ChangeLog HALL_OF_FAME NEWS README README.HISTORIC TODO README.ClusterNFS EXAMPLE.ClusterNFS
%doc %{_mandir}/man?/*
/var/lib/nfs
/usr/sbin/*
%config /etc/init.d/*
/var/adm/fillup-templates/rc.config.nfsserv


